Save a webhook destination
POST
Create or update a webhook destination URL and the event topics it receives.
Requires a Business session or a resource-authorized OAuth token and the applicable member access. API keys are not accepted.
businessSessioncookie
orvelt-biz.session_token<token>An existing Business session. Browser requests must also pass origin and CSRF checks.
application/json- body
url*stringFormat
uriLength
length <= 2048topics?array<>Items
1 <= items <= 27destinationId?stringLength
1 <= length <= 200OK
application/json- response
destination*curl -X POST 'https://api.orvelt.com/v1/webhooks/destinations' \
-H 'Content-Type: application/json' \
-d '{
"url": "http://example.com"
}'Example Response
{
"destination": {
"id": "string",
"type": "webhook",
"topics": [
"response.submitted"
]
}
}